---

- name: docker installer 
  ansible.builtin.import_tasks:
    file: docker.yml
  when: "{{ install_packages.docker.enabled }}"

- name: kubectl installer 
  ansible.builtin.import_tasks:
    file: kubectl.yml
  when: "{{ install_packages.kubectl.enabled }}"

- name: minikube installer 
  ansible.builtin.import_tasks:
    file: minikube.yml
  when: "{{ install_packages.minikube.enabled }}"

- name: package list installer
  ansible.builtin.import_tasks:
    file: packages.yml
  when: "{{ install_packages.packages }}"

- name: call handlers
  ansible.builtin.meta: flush_handlers
